> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook Integration V2

> Update preexisting webhooks



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/integrations/updateWebhookIntegrationV2
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/integrations/updateWebhookIntegrationV2:
    post:
      tags:
        - Integrations Webservice
      summary: Update Webhook Integration V2
      description: Update preexisting webhooks
      operationId: updateWebhookIntegrationV2Dep
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Integration_UpdateWebhookIntegrationV2WSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Integration_UpdateWebhookIntegrationV2WSResponse
          description: OK
      deprecated: true
components:
  schemas:
    Integration_UpdateWebhookIntegrationV2WSRequest:
      type: object
      description: >-
        Request object for updating webhook V2 integration settings with
        enhanced configuration options.
      properties:
        disabled:
          type: boolean
          description: Whether the webhook is disabled
          example: false
          nullable: true
        isDiagnostic:
          type: boolean
          description: Whether this is a diagnostic webhook
          example: false
          nullable: true
        updatedWebhookSettings:
          $ref: '#/components/schemas/IWebhooksType'
        webhookUrl:
          type: string
          description: Webhook URL for receiving notifications
          example: https://api.example.com/webhook/rhombus
          nullable: true
    Integration_UpdateWebhookIntegrationV2WSResponse:
      type: object
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
        webhookSecret:
          type: string
          nullable: true
    IWebhooksType:
      type: object
      description: Updated webhook V2 integration settings
      properties:
        activityWebhooks:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        activityWebhooksV2:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/WebhookInfo'
          nullable: true
        diagnosticWebhooks:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        diagnosticWebhooksV2:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/WebhookInfo'
          nullable: true
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    WebhookInfo:
      type: object
      properties:
        webhookDisabled:
          type: boolean
          nullable: true
        webhookSecret:
          type: string
          nullable: true
    IntegrationEnum:
      type: string
      enum:
        - AVIGILON_ALTA
        - BOULEVARD
        - BRIVO
        - BUTTERFLY_MX
        - DEVICE_INTEGRATION
        - DICE
        - ENVOY
        - FLIC
        - GENEA
        - GOOGLE
        - HONEYWELL_ELEMENTS
        - GUEST_MANAGEMENT
        - INFORMACAST
        - INNER_RANGE
        - KISI
        - LUMEO
        - MICROSOFT_TEAMS
        - OMNIALERT
        - OPENAI
        - OPENTECH_ALLIANCE
        - PIMLOC
        - PLACE_OS
        - PRODATAKEY
        - SHELLY
        - TOAST
        - WEBHOOKS
        - ZAPIER
        - RAPTOR
        - NINEONEONE_CELLULAR
        - SLACK
        - APERIO
        - PAR_POS
        - HONEYWELL_ONGUARD
        - HONEYWELL_NETBOX
        - SIGNATURE_API
        - UNKNOWN
    IntegrationAuditEvent:
      type: object
      properties:
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        integrationAuditEvent:
          $ref: '#/components/schemas/IntegrationAuditEventEnum'
        user:
          type: string
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    IntegrationAuditEventEnum:
      type: string
      enum:
        - UPDATE
        - DELETE
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````